
        <?php
        
        /* Template Name: Products Page */
        
        get_header();
        ?>
        <!-- casing --><!-- page-content -->
        <main id="page-content" role="main">
          <div class="container py-1 py-lg-3">
            <?php
            
            if ( have_posts() ) {
            	while ( have_posts() ) {
            		the_post();?>
            
            <div class="content-article content-article-single" id="post-<?php echo the_ID() ?>">
              <header class="archive-header">
                <div class="row">
                  <div class="col-12 col-sm-8 offset-lg-1">
                    <h2 class="mb-2"><?php echo the_title(); ?>
                    </h2>
                  </div>
                </div>
                <div class="row">
                  <div class="col-12 col-sm-8 col-md-6 offset-lg-1"><?php echo the_content(); ?>
                  </div>
                </div>
              </header>
              <?php
              
              $page_id			= get_the_ID();
              $wrapper_prefix		= '<div class="col-12 col-lg-10 offset-lg-1 content-product-row-wrapper"><div class="row content-product-row align-items-start">';
              $preview_html		= '
              <div class="col-12 content-product-single-wrapper">
                <div class="content-product-single-preload">
                  <div class="content-product-single-preload-loader">
                    <div></div>
                    <div></div>
                    <div></div>
                    <div></div>
                  </div>
                </div>
              </div>';
              
              $bespoke_title		= get_post_meta($page_id, 'bespoke_title', true);
              $bespoke_descr		= get_post_meta($page_id, 'bespoke_description', true);
              
              
              $product_loop = thegoodplasticcompany_get_products(false);
              if( $product_loop->post_count > 0 ) {
              	$i = 0;
              	
              	echo '<div class="row mt-2 mt-lg-3" id="content-product-main-wrapper">' . $preview_html . $wrapper_prefix;
              	
              	while ( $product_loop->have_posts() ) {
              		$product_loop->the_post();
              		if($i % 3 == 0 && $i > 0) {
              			echo '</div></div>' . $preview_html . $wrapper_prefix;
              		}
              		$item_counter = $i;
              		include( locate_template( 'template-parts/content-product.php', false, false ) );
              		$i += 1;
              	}
              	echo '</div></div></div>';
              }?>
              
              <?php
              $bespoke_loop = thegoodplasticcompany_get_products(true);
              if( $bespoke_loop->post_count > 0 ) {
              	$i = 0;
              	echo '
              <header class="archive-header">
                <div class="row">
                  <div class="col-12 col-sm-8 offset-lg-1">
                    <h2 class="mt-1">' . $bespoke_title . '</h2>
                  </div>
                </div>
                <div class="row">
                  <div class="col-12 col-sm-8 col-md-6 offset-lg-1">' . $bespoke_descr . '</div>
                </div>
              </header>';
              	echo '<div class="row mt-2 mt-lg-4" id="content-product-bespoke-wrapper">' . $wrapper_prefix;
              	
              	while ( $bespoke_loop->have_posts() ) {
              		$bespoke_loop->the_post();
              		if($i % 4 == 0 && $i > 0) {
              			echo '</div></div>' . $wrapper_prefix;
              		}
              		$item_counter = $i;
              		include( locate_template( 'template-parts/content-product.php', false, false ) );
              		$i += 1;
              	}
              	echo '</div></div></div>';
              }?>
              
            </div>
            <?php
            
            	}
            }?>
            
          </div>
        </main><!-- /page-content --><!-- /casing --><?php get_footer(); ?>
        