
            <?php
            
            global $post;
            $title = get_the_title();
            $post_type = get_post_type();
            if($post_type == 'product') {
            	$current_product = $post;
            	
            	$product_loop_args = array(
            						'post_type' 	=> 'product',
            						'post_status' 	=> 'publish',
            						'numberposts' 	=> -1,
            						'meta_query' 	=> array(
            												array(
            													'key' => 'out_of_production',
            													'value' => '1',
            													'compare' => '!=',
            												)
            											)
            					);
            	$product_loop = get_posts($product_loop_args);
            	if( !empty($product_loop) ) {
            		$wrapper_prefix		= '<div class="col-12 col-lg-10 offset-lg-1 content-product-row-wrapper"><div class="row content-product-row">';
            		
            		echo '
            <header class="archive-header">
              <div class="row">
                <div class="col-12 col-sm-8 offset-lg-1">
                  <h2 class="mb-2">' . get_post_type_object($post_type)->labels->name . '</h2>
                </div>
              </div>
            </header><div class="row" id="content-product-main-wrapper">';
            		$item_counter = 0;
            		foreach( array_chunk($product_loop, 3) as $product_row ) {
            			if( array_search($current_product->ID, array_column($product_row, 'ID')) !== false ) {?>
            
            <div class="col-12 content-product-single-wrapper product-loading product-loaded" style="display:block;">
              <div class="content-product-single-preload">
                <div class="content-product-single-preload-loader">
                  <div></div>
                  <div></div>
                  <div></div>
                  <div></div>
                </div>
              </div>
              <?php
              
              get_template_part( 'template-parts/content-product-single' );
              ?>
              
            </div>
            <?php
            
            			} else {
            				echo '
            <div class="col-12 content-product-single-wrapper">
              <div class="content-product-single-preload">
                <div class="content-product-single-preload-loader">
                  <div></div>
                  <div></div>
                  <div></div>
                  <div></div>
                </div>
              </div>
            </div>';
            			}
            			echo $wrapper_prefix;
            			foreach( $product_row as $post ) {
            				setup_postdata( $post );
            				include( locate_template( 'template-parts/content-product.php', false, false ) );
            				$item_counter++;
            				
            				wp_reset_postdata();
            			}
            			echo '</div></div>';
            		}
            		echo '</div>';
            		
            		
            	}
            	$bespoke_loop_args = array(
            						'post_type' 	=> 'product',
            						'post_status' 	=> 'publish',
            						'numberposts' 	=> -1,
            						'meta_query' 	=> array(
            												array(
            													'key' => 'out_of_production',
            													'value' => '1',
            													'compare' => '==',
            												)
            											)
            					);
            	$bespoke_loop = get_posts($bespoke_loop_args);
            	if( !empty($bespoke_loop) ) {
            		echo '
            <header class="archive-header">
              <div class="row">
                <div class="col-12 col-sm-8 offset-lg-1">
                  <h2>' . __('Bespoke', 'thegoodplasticcompany') . '</h2>
                </div>
              </div>
            </header><div class="row" id="content-product-bespoke-wrapper">';
            		$item_counter = 0;
            		foreach( array_chunk($bespoke_loop, 4) as $product_row ) {
            			if( array_search($current_product->ID, array_column($product_row, 'ID')) !== false ) {
            				echo $current_product_html;
            			}
            			echo $wrapper_prefix;
            			foreach( $product_row as $post ) {
            				setup_postdata( $post );
            				include( locate_template( 'template-parts/content-product.php', false, false ) );
            				$item_counter++;
            			}
            			echo '</div></div>';
            		}
            		wp_reset_postdata();
            		echo '</div>';
            	}
            } else {?>
            
            <article class="content-article content-article-single" id="post-<?php echo the_ID() ?>">
              <div class="row">
                <?php
                if( !is_page() ) {?>
                
                <div class="col-1 d-none d-md-block"><a class="content-read-more content-read-more-history-back" href="<?php echo home_url() ?>"></a></div>
                <div class="col-12 <?php echo ( str_word_count($title) > 5 ? 'col-sm-10' : 'col-sm-6' ) ?>">
                  <div class="mb-1 text-heading"><?php the_date() ?>
                  </div>
                  <h1 data-scroll="data-scroll" data-scroll-speed=".5"><?php echo $title ?>
                  </h1>
                </div>
                <?php
                }?>
                
                <div class="<?php echo !is_page() ? 'col-12 col-md-10 offset-md-1 col-lg-7' : 'col-12' ?>">
                  <?php
                  the_content(__('Continue reading', 'thegoodplasticcompany'));
                  wp_link_pages(
                  	array(
                  		'before'      => '<nav class="post-nav-links" aria-label="' . esc_attr__( 'Page', 'thegoodplasticcompany' ) . '"><span class="label">' . __( 'Pages:', 'thegoodplasticcompany' ) . '</span>',
                  		'after'       => '</nav>',
                  		'link_before' => '<span class="page-number">',
                  		'link_after'  => '</span>',
                  	)
                  );?>
                  
                </div>
              </div>
              <?php
              
              if ( !is_page() ) {
              	$next_post 		= get_next_post();
              	$previous_post 	= empty($next_post) ? get_previous_post() : false;
              	if( !empty($next_post) || !empty($previous_post) ) {
              		echo '
              <div class="content-section-tagline pt-1 mt-1 pt-lg-3 mt-lg-3 mb-2">
                <div class="content-section-tagline-mask border-bottom"></div>
              </div>';
              		$post = !empty($next_post) ? $next_post : $previous_post;
              		setup_postdata( $post );
              		get_template_part( 'template-parts/content', 'post' );
              		wp_reset_postdata();
              	}
              }?>
              
            </article>
            <?php
            }?>
            