(function($) {
  'use strict';
  var initRotator;
  //: Init Rotator
  initRotator = function() {
    var $rotator;
    $rotator = $('.content-text-rotator');
    if ($.fn.textrotator && $rotator.length) {
      $rotator.each(function() {
        var $texts, $this, texts_animation, texts_data, texts_speed;
        $this = $(this);
        $texts = $('.content-text-rotator-dynamic', $this);
        texts_data = $texts.data('rotator-strings');
        texts_animation = $texts.data('rotator-animation');
        texts_speed = $texts.data('rotator-speed');
        if (texts_data) {
          $texts.text(texts_data);
        }
        $texts.textrotator({
          animation: texts_animation ? texts_animation : 'dissolve',
          separator: texts_data ? '|' : ',',
          speed: texts_speed ? texts_speed : 2000
        });
      });
    }
  };
  initRotator();
})(jQuery);
