
            <article class="content-article py-2 mt-n2" id="post-<?php echo the_ID() ?>">
              <div class="row">
                <?php
                
                $post_thumbnail = wp_get_attachment_image( get_post_thumbnail_id(), 'post-thumbnail', false );
                $post_title		= get_the_title();
                $content		= get_the_content();
                $has_content	= !empty($content);
                $post_url		= $has_content ? get_the_permalink() : get_the_post_thumbnail_url();?>
                
                <div class="col-12 col-xs-4 col-sm-3 col-lg-2 offset-xl-1 mb-2 mb-xs-0">
                  <?php
                  
                  if ($post_thumbnail) {
                  	echo '
                  <div class="content-image-mask">
                    <div data-scroll="data-scroll" data-scroll-speed="-.25"><a class="' . ( $has_content ? '' : 'lightbox' ) . '" href="' . $post_url . '">' . $post_thumbnail . '</a></div>
                  </div>';
                  } else {
                  	echo '<img class="d-block" src="' . get_stylesheet_directory_uri() . '/assets/images/placeholder-512x512.png' . '"/>';
                  }?>
                  
                </div>
                <div class="col-12 col-xs-8 col-sm-9 col-lg-7">
                  <div class="mb-1 text-muted"><?php echo get_the_date(); ?>
                  </div>
                  <h3 class="h4 m-0" data-scroll="data-scroll" data-scroll-speed=".5">
                    <?php
                    
                    if ( $has_content ) {
                    	echo '<a href="' . $post_url . '">' . $post_title . '</a>';
                    } else {
                    	echo $post_title;
                    }?>
                    
                  </h3>
                  <div class="mt-xs-1 mt-xl-2 d-none d-xs-block"><?php echo the_excerpt() ?>
                  </div>
                </div>
                <?php
                
                if ( $has_content ) {
                	echo '
                <div class="col-12 col-lg-2 pt-lg-2 text-right"><a class="content-read-more" href="' . $post_url . '">' . __('Read more', 'thegoodplasticcompany') . '</a></div>';
                }?>
                
              </div>
            </article>